"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCommenter = void 0;
var _magicComments = require("magic-comments");
const getCommenter = (filepath, options, logger) => (rgxMatch, capturedImportPath) => {
  const importPath = capturedImportPath.trim();
  const {
    verbose,
    match,
    magicCommentOptions
  } = options;
  const magicComment = (0, _magicComments.getMagicComment)({
    match,
    importPath,
    modulePath: filepath,
    options: magicCommentOptions
  });
  const magicImport = rgxMatch.replace(capturedImportPath, magicComment.length > 0 ? `${magicComment} ${importPath}` : importPath);
  if (verbose) {
    logger.info(`${filepath} : ${magicImport}`);
  }
  return magicImport;
};
exports.getCommenter = getCommenter;